<ng-template #popTitle>{{term}}</ng-template>
<ng-template #popContent>
    <div>
      <div class=""> <label>Term: </label> <span [ngClass]="{'red':termMisspelled === true}"> {{term}}</span></div>
      <div *ngIf="rewrittenTerm !== ''" class="mv2"> <label>Rewritten term: </label> {{rewrittenTerm}}</div>
      <div *ngIf="termMisspelled" class="mv2"> <label>Misspelled term: </label> {{termMisspelled}}</div>
      <div class="mv2"> <label>Concept: </label> {{concept}}</div>
      <div class="mv2"> <label>Type: </label><span class="{{concept_type_classes}}">&nbsp;{{presentationType}}&nbsp;</span></div>
      <div *ngIf="prediction >= 0" class="mv2"> <label>Prediction: </label> {{prediction}} </div>
<!--      <div><label>is_plain_text: </label> {{is_plain_text}} </div>-->
    </div>

</ng-template>

<ng-template #popTitleSynonyms>Synonyms for {{term}}</ng-template>
<ng-template #popContentSynonyms>
  <div>
    <strong>Correctly spelled</strong>
    <div *ngIf="synonymdata.synonyms.length == 0">-</div>
    <div *ngFor="let synonymobj of synonymdata.synonyms">
      {{synonymobj.term}}
    </div>
  </div>
  <div>
    <strong>Misspelled</strong>
    <div *ngIf="synonymdata.misspelledsynonyms.length == 0">-</div>
    <div *ngFor="let synonymobj of synonymdata.misspelledsynonyms">
      {{synonymobj.term}}
    </div>
  </div>


</ng-template>

<span *ngIf="!is_plain_text" [ngbPopover]="popContent" [popoverTitle]="popTitle" placement="top" class="{{classes}}" style="{{styles}}" triggers="mouseenter:mouseleave">
  <span *ngIf="!is_plain_text" [disablePopover]="!dataService.showBinarySynonyms || !hasSynonyms()" [ngbPopover]="popContentSynonyms" [popoverTitle]="popTitleSynonyms" placement="bottom" class="{{classes}}" style="{{styles}}" triggers="mouseenter:mouseleave">{{term}} </span></span>

<span *ngIf="is_plain_text" [innerHTML]="term" class="textpart"></span>




